Bug 594035 - RenderBadPicture after exiting presentation mode on multihead
Summary: RenderBadPicture after exiting presentation mode on multihead
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-20 12:00 UTC by Jared Smith
Modified: 2010-06-02 18:09 UTC (History)
1 user (show)

Fixed In Version: openoffice.org-3.2.0-12.23.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-02 18:09:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My Xorg.0.log file (78.45 KB, application/octet-stream)
2010-05-20 15:58 UTC, Jared Smith
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 107248 None None None Never
OpenOffice.org 111758 None None None Never

Description Jared Smith 2010-05-20 12:00:30 UTC
Description of problem:

If I start a presentation in OpenOffice Impress, everything works fine until I press the ESC key to end the presentation.  At that point, it completely exits the program.

Version-Release number of selected component (if applicable):

openoffice.org-writer-3.2.0-12.21.fc13.x86_64
openoffice.org-calc-core-3.2.0-12.21.fc13.x86_64
openoffice.org-impress-core-3.2.0-12.21.fc13.x86_64
openoffice.org-opensymbol-fonts-3.2.0-12.21.fc13.noarch
openoffice.org-brand-3.2.0-12.21.fc13.x86_64
openoffice.org-impress-3.2.0-12.21.fc13.x86_64
openoffice.org-presenter-screen-3.2.0-12.21.fc13.x86_64
openoffice.org-ure-3.2.0-12.21.fc13.x86_64
openoffice.org-core-3.2.0-12.21.fc13.x86_64
openoffice.org-calc-3.2.0-12.21.fc13.x86_64
openoffice.org-writer-core-3.2.0-12.21.fc13.x86_64

How reproducible:

Every time

Steps to Reproduce:
1.  Open an presentation in OpenOffice Impress
2.  Press F5 to begin the presentation
3.  Press ESC
  
Actual results:

X-Error: RenderBadPicture (invalid Picture parameter)
	Major opcode: 148
	Minor opcode: 7
	Resource ID:  0x40021d7
	Serial No:    500415 (500415)

Expected results:

Go back to the OpenOffice interface, but not completely exit the program.

Additional info:

I'm not sure if it's relevant, but I'm setting the presentation display as display 2, and putting the speaker notes (presenter screen) as display number 1.  Let me know if you need more information about my hardware, X.org driver, etc.

Comment 1 Caolan McNamara 2010-05-20 12:20:08 UTC
Yeah, attach your /var/log/Xorg.0.log

Comment 2 Jared Smith 2010-05-20 15:58:40 UTC
Created attachment 415454 [details]
My Xorg.0.log file

Comment 3 Caolan McNamara 2010-05-21 08:35:49 UTC
I can reproduce this on nouveau multihead

Comment 4 Caolan McNamara 2010-05-21 15:21:49 UTC
Fix checked in, will be in >= 3.2.0-12.23

Comment 5 Jared Smith 2010-05-21 23:31:20 UTC
Thank you for taking the time to reproduce this and to check in a fix.  I really appreciate it!  It's people like you that make Fedora great!

Comment 6 Fedora Update System 2010-05-22 07:21:45 UTC
openoffice.org-3.2.0-12.23.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.23.fc13

Comment 7 Fedora Update System 2010-05-24 19:43:50 UTC
openoffice.org-3.2.0-12.23.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.23.fc13

Comment 8 Fedora Update System 2010-06-02 18:09:03 UTC
openoffice.org-3.2.0-12.23.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.